package Visual_DVM_2021.UI.Main;
import Common.Current;
import SapforTestingSystem.Json.SapforVersion_json;
public class SapforVersionsComparisonForm extends ComparisonForm<SapforVersion_json> {
    Current current;
    public SapforVersionsComparisonForm(SapforVersionsComparisonForm slave_in, Current current_in) {
        super(SapforVersion_json.class, slave_in);
        current = current_in;
        bApplyObject.setVisible(false);
        bClose.setVisible(false);
    }
    @Override
    protected Current getCurrentObjectName() {
        return current;
    }
    @Override
    protected String getText() {
        return current.getDescription();
    }
    @Override
    protected void showObject() {
        lObjectName.setText(object.toString());
        lObjectName.setToolTipText(object.toString());
    }
}
